#include "legato.h"
#include "interfaces.h"

static int g_fd = -1;

void FS_Provider_Create (const char* LE_NONNULL filename)
{
	LE_INFO("FS_Provider_Create");
	g_fd = open(filename,O_CREAT|O_RDWR);
	LE_INFO("FD: %d", g_fd);
	return;
}
void FS_Provider_Delete(const char* LE_NONNULL filename)
{
	LE_INFO("FS_Provider_Delete");
	close(g_fd);
	unlink(filename);
	return;
}

void FS_Provider_GetFD(
    const char* LE_NONNULL filename, ///< [IN]
    int* file_handlePtr              ///< [OUT]
)
{
	LE_INFO("FS_Provider_GetFD: g_fd: %d", g_fd);
	int fd = g_fd;
	LE_INFO("FS_Provider_GetFD: fd: %d", g_fd);
	*file_handlePtr = fd;
	return;
}

COMPONENT_INIT
{
    LE_INFO("FS_Provider");
}
